Bug 312990

Summary: rekonq crash when I close it while many tabs still load pages
Product: rekonq Reporter: RussianNeuroMancer <russianneuromancer>
Component: generalAssignee: Andrea Diamantini <adjam7>
Status: RESOLVED FIXED    
Severity: crash CC: apcomptec, joanjerezt, matthias, rishubhkde, russianneuromancer, simonandric5
Priority: NOR    
Version: 2.0   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: New crash information added by DrKonqi

Description RussianNeuroMancer 2013-01-10 03:23:18 UTC
Application: rekonq (2.0)
KDE Platform Version: 4.9.97
Qt Version: 4.8.3
Operating System: Linux 3.8.0-030800rc2-generic x86_64
Distribution: Ubuntu Raring Ringtail (development branch)

-- Information about the crash:
- What I was doing when the application crashed:

On launch rekonq restore tabs opened last time. Usually I have opened few dozens of tabs. I click on wrong shortcut, rekonq start and I close it few seconds later, before rekonq complete loading of pages in many tabs. Probably that behaviour bring rekonq to crash.

-- Backtrace:
Application: rekonq (rekonq), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f08723d77c0 (LWP 19347))]

Thread 4 (Thread 0x7f085c933700 (LWP 19348)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:168
#1  0x00007f087111bb2d in WTF::TCMalloc_PageHeap::scavengerThread (this=0x7f0871adc280 <WTF::pageheap_memory>) at wtf/FastMalloc.cpp:2499
#2  0x00007f087111bc39 in WTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at wtf/FastMalloc.cpp:1622
#3  0x00007f086a404f9f in start_thread (arg=0x7f085c933700) at pthread_create.c:311
#4  0x00007f0871bf70cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 3 (Thread 0x7f085c032700 (LWP 19349)):
#0  0x00007f0871beb44d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f086a661d64 in g_main_context_poll (n_fds=1, fds=0x7f08540029c0, timeout=3378, context=0x7f08540009a0, priority=<optimized out>) at /build/buildd/glib2.0-2.34.3/./glib/gmain.c:3584
#2  g_main_context_iterate (context=context@entry=0x7f08540009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.3/./glib/gmain.c:3285
#3  0x00007f086a661e84 in g_main_context_iteration (context=0x7f08540009a0, may_block=1) at /build/buildd/glib2.0-2.34.3/./glib/gmain.c:3351
#4  0x00007f086d47fc16 in QEventDispatcherGlib::processEvents (this=0x7f08540008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f086d4502bf in QEventLoop::processEvents (this=this@entry=0x7f085c031dc0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f086d450548 in QEventLoop::exec (this=0x7f085c031dc0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f086d351b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007f086d354aec in QThreadPrivate::start (arg=0x1e8b5e0) at thread/qthread_unix.cpp:338
#9  0x00007f086a404f9f in start_thread (arg=0x7f085c032700) at pthread_create.c:311
#10 0x00007f0871bf70cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 2 (Thread 0x7f080a65f700 (LWP 19357)):
#0  g_source_iter_next (iter=iter@entry=0x7f080a65ebe0, source=source@entry=0x7f080a65ebd8) at /build/buildd/glib2.0-2.34.3/./glib/gmain.c:863
#1  0x00007f086a661577 in g_main_context_prepare (context=context@entry=0x7f07fc0009a0, priority=priority@entry=0x7f080a65ec38) at /build/buildd/glib2.0-2.34.3/./glib/gmain.c:2967
#2  0x00007f086a661c8b in g_main_context_iterate (context=context@entry=0x7f07fc0009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.3/./glib/gmain.c:3270
#3  0x00007f086a661e84 in g_main_context_iteration (context=0x7f07fc0009a0, may_block=1) at /build/buildd/glib2.0-2.34.3/./glib/gmain.c:3351
#4  0x00007f086d47fc16 in QEventDispatcherGlib::processEvents (this=0x7f07fc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f086d4502bf in QEventLoop::processEvents (this=this@entry=0x7f080a65ed90, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f086d450548 in QEventLoop::exec (this=0x7f080a65ed90, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f086d351b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007f086d4309af in QInotifyFileSystemWatcherEngine::run (this=0x72e8c30) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f086d354aec in QThreadPrivate::start (arg=0x72e8c30) at thread/qthread_unix.cpp:338
#10 0x00007f086a404f9f in start_thread (arg=0x7f080a65f700) at pthread_create.c:311
#11 0x00007f0871bf70cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Thread 1 (Thread 0x7f08723d77c0 (LWP 19347)):
[KCrash Handler]
#6  data (this=0x30) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:587
#7  Application::eventFilter (this=0x7fffb6a8cea0, watched=0x1e92070, event=0x7fffb6a8c3a0) at /build/buildd/rekonq-2.0/src/application.cpp:471
#8  0x00007f086d4516d6 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x1e92070, event=0x7fffb6a8c3a0) at kernel/qcoreapplication.cpp:1025
#9  0x00007f086c57de6c in QApplicationPrivate::notify_helper (this=this@entry=0x1ce3e70, receiver=receiver@entry=0x1e92070, e=e@entry=0x7fffb6a8c3a0) at kernel/qapplication.cpp:4558
#10 0x00007f086c58230a in QApplication::notify (this=0x7fffb6a8cea0, receiver=0x1e92070, e=0x7fffb6a8c3a0) at kernel/qapplication.cpp:4423
#11 0x00007f086f988836 in KApplication::notify (this=0x7fffb6a8cea0, receiver=0x1e92070, event=0x7fffb6a8c3a0) at ../../kdeui/kernel/kapplication.cpp:311
#12 0x00007f086d45156e in QCoreApplication::notifyInternal (this=0x7fffb6a8cea0, receiver=0x1e92070, event=0x7fffb6a8c3a0) at kernel/qcoreapplication.cpp:915
#13 0x00007f086c581e9d in sendSpontaneousEvent (event=0x7fffb6a8c3a0, receiver=0x1e92070) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#14 QApplication::setActiveWindow (act=<optimized out>) at kernel/qapplication.cpp:2641
#15 0x00007f086c5fbfb5 in QApplication::x11ProcessEvent (this=0x7fffb6a8cea0, event=0x7fffb6a8c990) at kernel/qapplication_x11.cpp:3716
#16 0x00007f086c622fa2 in x11EventSourceDispatch (s=s@entry=0x1cd2e00, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#17 0x00007f086a661a95 in g_main_dispatch (context=0x1ce4c00) at /build/buildd/glib2.0-2.34.3/./glib/gmain.c:2715
#18 g_main_context_dispatch (context=context@entry=0x1ce4c00) at /build/buildd/glib2.0-2.34.3/./glib/gmain.c:3219
#19 0x00007f086a661dc8 in g_main_context_iterate (context=context@entry=0x1ce4c00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.3/./glib/gmain.c:3290
#20 0x00007f086a661e84 in g_main_context_iteration (context=0x1ce4c00, may_block=1) at /build/buildd/glib2.0-2.34.3/./glib/gmain.c:3351
#21 0x00007f086d47fbf6 in QEventDispatcherGlib::processEvents (this=0x1c9b490, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#22 0x00007f086c622c1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#23 0x00007f086d4502bf in QEventLoop::processEvents (this=this@entry=0x7fffb6a8cd60, flags=...) at kernel/qeventloop.cpp:149
#24 0x00007f086d450548 in QEventLoop::exec (this=0x7fffb6a8cd60, flags=...) at kernel/qeventloop.cpp:204
#25 0x00007f086d455708 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#26 0x00007f0871fc028e in kdemain (argc=2, argv=0x7fffb6a8cfe8) at /build/buildd/rekonq-2.0/src/main.cpp:232
#27 0x00007f0871b21c15 in __libc_start_main (main=0x4006d0 <main(int, char**)>, argc=2, ubp_av=0x7fffb6a8cfe8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffb6a8cfd8) at libc-start.c:227
#28 0x0000000000400701 in _start ()

Reported using DrKonqi
Comment 1 Rishubh Jain 2013-01-10 04:01:28 UTC
(In reply to comment #0)
thankyou for reportin the bug...if possible can u tell us that do u get this problem again and again or it was just this time...bcause it is possible that while opening heavy sites simultaneously the rekonq must have crashed.

> Application: rekonq (2.0)
> KDE Platform Version: 4.9.97
> Qt Version: 4.8.3
> Operating System: Linux 3.8.0-030800rc2-generic x86_64
> Distribution: Ubuntu Raring Ringtail (development branch)
> 
> -- Information about the crash:
> - What I was doing when the application crashed:
> 
> On launch rekonq restore tabs opened last time. Usually I have opened few
> dozens of tabs. I click on wrong shortcut, rekonq start and I close it few
> seconds later, before rekonq complete loading of pages in many tabs.
> Probably that behaviour bring rekonq to crash.
> 
> -- Backtrace:
> Application: rekonq (rekonq), signal: Segmentation fault
> Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
> [Current thread is 1 (Thread 0x7f08723d77c0 (LWP 19347))]
> 
> Thread 4 (Thread 0x7f085c933700 (LWP 19348)):
> #0  pthread_cond_wait@@GLIBC_2.3.2 () at
> ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:168
> #1  0x00007f087111bb2d in WTF::TCMalloc_PageHeap::scavengerThread
> (this=0x7f0871adc280 <WTF::pageheap_memory>) at wtf/FastMalloc.cpp:2499
> #2  0x00007f087111bc39 in WTF::TCMalloc_PageHeap::runScavengerThread
> (context=<optimized out>) at wtf/FastMalloc.cpp:1622
> #3  0x00007f086a404f9f in start_thread (arg=0x7f085c933700) at
> pthread_create.c:311
> #4  0x00007f0871bf70cd in clone () at
> ../sysdeps/unix/sysv/linux/x86_64/clone.S:114
> 
> Thread 3 (Thread 0x7f085c032700 (LWP 19349)):
> #0  0x00007f0871beb44d in poll () at ../sysdeps/unix/syscall-template.S:81
> #1  0x00007f086a661d64 in g_main_context_poll (n_fds=1, fds=0x7f08540029c0,
> timeout=3378, context=0x7f08540009a0, priority=<optimized out>) at
> /build/buildd/glib2.0-2.34.3/./glib/gmain.c:3584
> #2  g_main_context_iterate (context=context@entry=0x7f08540009a0,
> block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at
> /build/buildd/glib2.0-2.34.3/./glib/gmain.c:3285
> #3  0x00007f086a661e84 in g_main_context_iteration (context=0x7f08540009a0,
> may_block=1) at /build/buildd/glib2.0-2.34.3/./glib/gmain.c:3351
> #4  0x00007f086d47fc16 in QEventDispatcherGlib::processEvents
> (this=0x7f08540008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
> #5  0x00007f086d4502bf in QEventLoop::processEvents
> (this=this@entry=0x7f085c031dc0, flags=...) at kernel/qeventloop.cpp:149
> #6  0x00007f086d450548 in QEventLoop::exec (this=0x7f085c031dc0, flags=...)
> at kernel/qeventloop.cpp:204
> #7  0x00007f086d351b10 in QThread::exec (this=<optimized out>) at
> thread/qthread.cpp:501
> #8  0x00007f086d354aec in QThreadPrivate::start (arg=0x1e8b5e0) at
> thread/qthread_unix.cpp:338
> #9  0x00007f086a404f9f in start_thread (arg=0x7f085c032700) at
> pthread_create.c:311
> #10 0x00007f0871bf70cd in clone () at
> ../sysdeps/unix/sysv/linux/x86_64/clone.S:114
> 
> Thread 2 (Thread 0x7f080a65f700 (LWP 19357)):
> #0  g_source_iter_next (iter=iter@entry=0x7f080a65ebe0,
> source=source@entry=0x7f080a65ebd8) at
> /build/buildd/glib2.0-2.34.3/./glib/gmain.c:863
> #1  0x00007f086a661577 in g_main_context_prepare
> (context=context@entry=0x7f07fc0009a0,
> priority=priority@entry=0x7f080a65ec38) at
> /build/buildd/glib2.0-2.34.3/./glib/gmain.c:2967
> #2  0x00007f086a661c8b in g_main_context_iterate
> (context=context@entry=0x7f07fc0009a0, block=block@entry=1,
> dispatch=dispatch@entry=1, self=<optimized out>) at
> /build/buildd/glib2.0-2.34.3/./glib/gmain.c:3270
> #3  0x00007f086a661e84 in g_main_context_iteration (context=0x7f07fc0009a0,
> may_block=1) at /build/buildd/glib2.0-2.34.3/./glib/gmain.c:3351
> #4  0x00007f086d47fc16 in QEventDispatcherGlib::processEvents
> (this=0x7f07fc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
> #5  0x00007f086d4502bf in QEventLoop::processEvents
> (this=this@entry=0x7f080a65ed90, flags=...) at kernel/qeventloop.cpp:149
> #6  0x00007f086d450548 in QEventLoop::exec (this=0x7f080a65ed90, flags=...)
> at kernel/qeventloop.cpp:204
> #7  0x00007f086d351b10 in QThread::exec (this=<optimized out>) at
> thread/qthread.cpp:501
> #8  0x00007f086d4309af in QInotifyFileSystemWatcherEngine::run
> (this=0x72e8c30) at io/qfilesystemwatcher_inotify.cpp:248
> #9  0x00007f086d354aec in QThreadPrivate::start (arg=0x72e8c30) at
> thread/qthread_unix.cpp:338
> #10 0x00007f086a404f9f in start_thread (arg=0x7f080a65f700) at
> pthread_create.c:311
> #11 0x00007f0871bf70cd in clone () at
> ../sysdeps/unix/sysv/linux/x86_64/clone.S:114
> 
> Thread 1 (Thread 0x7f08723d77c0 (LWP 19347)):
> [KCrash Handler]
> #6  data (this=0x30) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:587
> #7  Application::eventFilter (this=0x7fffb6a8cea0, watched=0x1e92070,
> event=0x7fffb6a8c3a0) at /build/buildd/rekonq-2.0/src/application.cpp:471
> #8  0x00007f086d4516d6 in
> QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized
> out>, receiver=0x1e92070, event=0x7fffb6a8c3a0) at
> kernel/qcoreapplication.cpp:1025
> #9  0x00007f086c57de6c in QApplicationPrivate::notify_helper
> (this=this@entry=0x1ce3e70, receiver=receiver@entry=0x1e92070,
> e=e@entry=0x7fffb6a8c3a0) at kernel/qapplication.cpp:4558
> #10 0x00007f086c58230a in QApplication::notify (this=0x7fffb6a8cea0,
> receiver=0x1e92070, e=0x7fffb6a8c3a0) at kernel/qapplication.cpp:4423
> #11 0x00007f086f988836 in KApplication::notify (this=0x7fffb6a8cea0,
> receiver=0x1e92070, event=0x7fffb6a8c3a0) at
> ../../kdeui/kernel/kapplication.cpp:311
> #12 0x00007f086d45156e in QCoreApplication::notifyInternal
> (this=0x7fffb6a8cea0, receiver=0x1e92070, event=0x7fffb6a8c3a0) at
> kernel/qcoreapplication.cpp:915
> #13 0x00007f086c581e9d in sendSpontaneousEvent (event=0x7fffb6a8c3a0,
> receiver=0x1e92070) at
> ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
> #14 QApplication::setActiveWindow (act=<optimized out>) at
> kernel/qapplication.cpp:2641
> #15 0x00007f086c5fbfb5 in QApplication::x11ProcessEvent
> (this=0x7fffb6a8cea0, event=0x7fffb6a8c990) at
> kernel/qapplication_x11.cpp:3716
> #16 0x00007f086c622fa2 in x11EventSourceDispatch (s=s@entry=0x1cd2e00,
> callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
> #17 0x00007f086a661a95 in g_main_dispatch (context=0x1ce4c00) at
> /build/buildd/glib2.0-2.34.3/./glib/gmain.c:2715
> #18 g_main_context_dispatch (context=context@entry=0x1ce4c00) at
> /build/buildd/glib2.0-2.34.3/./glib/gmain.c:3219
> #19 0x00007f086a661dc8 in g_main_context_iterate
> (context=context@entry=0x1ce4c00, block=block@entry=1,
> dispatch=dispatch@entry=1, self=<optimized out>) at
> /build/buildd/glib2.0-2.34.3/./glib/gmain.c:3290
> #20 0x00007f086a661e84 in g_main_context_iteration (context=0x1ce4c00,
> may_block=1) at /build/buildd/glib2.0-2.34.3/./glib/gmain.c:3351
> #21 0x00007f086d47fbf6 in QEventDispatcherGlib::processEvents
> (this=0x1c9b490, flags=...) at kernel/qeventdispatcher_glib.cpp:424
> #22 0x00007f086c622c1e in QGuiEventDispatcherGlib::processEvents
> (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
> #23 0x00007f086d4502bf in QEventLoop::processEvents
> (this=this@entry=0x7fffb6a8cd60, flags=...) at kernel/qeventloop.cpp:149
> #24 0x00007f086d450548 in QEventLoop::exec (this=0x7fffb6a8cd60, flags=...)
> at kernel/qeventloop.cpp:204
> #25 0x00007f086d455708 in QCoreApplication::exec () at
> kernel/qcoreapplication.cpp:1187
> #26 0x00007f0871fc028e in kdemain (argc=2, argv=0x7fffb6a8cfe8) at
> /build/buildd/rekonq-2.0/src/main.cpp:232
> #27 0x00007f0871b21c15 in __libc_start_main (main=0x4006d0 <main(int,
> char**)>, argc=2, ubp_av=0x7fffb6a8cfe8, init=<optimized out>,
> fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffb6a8cfd8)
> at libc-start.c:227
> #28 0x0000000000400701 in _start ()
> 
> Reported using DrKonqi
Comment 2 RussianNeuroMancer 2013-01-10 04:03:52 UTC
> if possible can u tell us that do u get this problem again and again or it was just this time...
Just this time, when I close rekonq while loading pages. Otherwise (if I doesn't try to close it while loading process) rekonq always load all this tabs without crash.
Comment 3 RussianNeuroMancer 2013-01-10 05:02:02 UTC
Created attachment 76359 [details]
New crash information added by DrKonqi

rekonq (2.0) on KDE Platform 4.9.97 using Qt 4.8.3

- What I was doing when the application crashed:

To be more specific:
> Just this time, when I close rekonq while loading pages.
rekonq crash every time when I close it while pages is still loading (at least for me).

-- Backtrace (Reduced):
#6  data (this=0x30) at /usr/include/qt4/QtCore/qsharedpointer_impl.h:587
#7  Application::eventFilter (this=0x7fff283cbf70, watched=0x270e990, event=0x7fff283cb470) at /build/buildd/rekonq-2.0/src/application.cpp:471
#8  0x00007fe2d83c56d6 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x270e990, event=0x7fff283cb470) at kernel/qcoreapplication.cpp:1025
#9  0x00007fe2d74f1e6c in QApplicationPrivate::notify_helper (this=this@entry=0x2557e70, receiver=receiver@entry=0x270e990, e=e@entry=0x7fff283cb470) at kernel/qapplication.cpp:4558
#10 0x00007fe2d74f630a in QApplication::notify (this=0x7fff283cbf70, receiver=0x270e990, e=0x7fff283cb470) at kernel/qapplication.cpp:4423
Comment 4 Andrea Diamantini 2013-02-12 15:16:22 UTC
*** Bug 313898 has been marked as a duplicate of this bug. ***
Comment 5 Andrea Diamantini 2013-02-12 15:16:54 UTC
*** Bug 314015 has been marked as a duplicate of this bug. ***
Comment 6 Andrea Diamantini 2013-02-12 15:23:58 UTC
*** Bug 314761 has been marked as a duplicate of this bug. ***
Comment 7 Andrea Diamantini 2013-02-12 15:24:24 UTC
Git commit 8b3ec15978a05a27b2a8856e7b650815328d8cad by Andrea Diamantini.
Committed on 12/02/2013 at 16:23.
Pushed by adjam into branch 'master'.

Double check (event) filtered window && window list

M  +3    -1    src/application.cpp

http://commits.kde.org/rekonq/8b3ec15978a05a27b2a8856e7b650815328d8cad
Comment 8 Andrea Diamantini 2013-02-20 15:32:29 UTC
*** Bug 315493 has been marked as a duplicate of this bug. ***